Bug 215345 - gdk-pixbuf-gnome dependency prevents fc5->fc6 yum update
gdk-pixbuf-gnome dependency prevents fc5->fc6 yum update
Product: Fedora
Classification: Fedora
Component: gdk-pixbuf (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-11-13 11:41 EST by Bill McGonigle
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-01 22:09:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill McGonigle 2006-11-13 11:41:43 EST
yum update from fc5 to fc6 fails with:

  Error: Missing Dependency: libgnomecanvaspixbuf.so.1 is needed by package gtkhtml

which is provided by gdk-pixbuf-gnome. 

  #rpm -e gdk-pixbuf-gnome
  error: Failed dependencies:
          libgnomecanvaspixbuf.so.1 is needed by (installed) gtkhtml-1.1.9-12.i386
          libgnomecanvaspixbuf.so.1 is needed by (installed) gnucash-1.8.12-3.i386
  #rpm -e gdk-pixbuf-gnome gtkhtml gnucash

and then the update can proceed.

I see the gdk* packages aren't in FC6 - it would be swell if the obsoletes were
handled by yum.

I wasn't sure on the component/summary - ultimately I needed to remove GNUCash
but it seems likely that something else could depend on gdk-pixbuf-gnome;
correct as appropriate.
Comment 1 Matthias Clasen 2006-12-01 22:09:55 EST
If something else depends on this obsolete library, it needs to be ported to
more modern libraries that are supported in FC6+

Not much we can do here. Gnucash has finally been ported to gtk2, though, so
this particular problem won't happen anymore.

Note You need to log in before you can comment on or make changes to this bug.